<?xml version="1.0" encoding="UTF-8"?>
<project name="2BizBoxClient" default="dist" basedir=".">
	<target name="dist" description="generate the distribution">
		<unzip src="lib/gui.jar" dest="build/gui"/>
		<path id="lib.compile.path">
		    <fileset dir="lib">
			   	  <include name="**/*.jar"/>
			</fileset>
		</path>
		<delete dir="build/classes" failonerror="false"/>
		<mkdir dir="build/classes"/>
		<javac destdir="build/classes" debug="on" deprecation="off"  optimize="on"  classpathref="lib.compile.path">
		    <src path="src-gui"/>
			<src path="src-plu"/>
		</javac>				
		<copy todir="build/gui" overwrite="true" >
			<fileset dir="build/classes" />
			<fileset dir="src-gui">
				<include name="**\*.xml"/>
				<include name="**\*.properties"/>
				<include name="**\*.xsd"/>
				<include name="**\*.xls"/>
				<include name="**\*.dtd"/>
				<include name="**\*.png"/>
				<include name="**\*.jpeg"/>
				<include name="**\*.jpg"/>
				<include name="**\*.gif"/>
				<include name="**\*.bmp"/>
			</fileset>
			<fileset dir="src-plu">
				<include name="**\*.xml"/>
				<include name="**\*.properties"/>
				<include name="**\*.xsd"/>
				<include name="**\*.xls"/>
				<include name="**\*.dtd"/>		
				<include name="**\*.png"/>
				<include name="**\*.jpeg"/>
				<include name="**\*.jpg"/>
				<include name="**\*.gif"/>
				<include name="**\*.bmp"/>				
			</fileset>			
		</copy>
		<jar jarfile="build/gui.jar" basedir="build/gui" />
		<delete dir="build/gui" />
	</target>
</project>